.. _scanpipe_pipes:

Pipes
=====

Generic
-------
.. automodule:: scanpipe.pipes
    :members:

Benchmark
---------
.. automodule:: scanpipe.pipes.benchmark
    :members:

ClamAV
------
.. automodule:: scanpipe.pipes.clamav
    :members:

Codebase
--------
.. automodule:: scanpipe.pipes.codebase
    :members:

Compliance
----------
.. automodule:: scanpipe.pipes.compliance
    :members:

CycloneDX
---------
.. automodule:: scanpipe.pipes.cyclonedx
    :members:

Deploy to develop
-----------------
.. automodule:: scanpipe.pipes.d2d
    :members:

Docker
------
.. automodule:: scanpipe.pipes.docker
    :members:

ELF
---
.. automodule:: scanpipe.pipes.elf
    :members:

Fetch
-----
.. automodule:: scanpipe.pipes.fetch
    :members:
    :exclude-members: Download

Flag
----
.. automodule:: scanpipe.pipes.flag
    :members:

Input
-----
.. automodule:: scanpipe.pipes.input
    :members:

JS
--
.. automodule:: scanpipe.pipes.js
    :members:

JVM
---
.. automodule:: scanpipe.pipes.jvm
    :members:

MatchCode
---------
.. automodule:: scanpipe.pipes.matchcode
    :members:

Output
------
.. automodule:: scanpipe.pipes.output
    :members:
    :exclude-members: JSONResultsGenerator

PathMap
-------
.. automodule:: scanpipe.pipes.pathmap
    :members:

PurlDB
------
.. automodule:: scanpipe.pipes.purldb
    :members:

Resolve
-------
.. automodule:: scanpipe.pipes.resolve
    :members:

RootFS
------
.. automodule:: scanpipe.pipes.rootfs
    :members:

ScanCode
--------
.. automodule:: scanpipe.pipes.scancode
    :members:

SPDX
----
.. automodule:: scanpipe.pipes.spdx
    :members:

Symbolmap
---------
.. automodule:: scanpipe.pipes.symbolmap
    :members:

Symbols
-------
.. automodule:: scanpipe.pipes.symbols
    :members:

VulnerableCode
--------------
.. automodule:: scanpipe.pipes.vulnerablecode
    :members:

Windows
-------
.. automodule:: scanpipe.pipes.windows
    :members:
